using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Babebi4
{
	public partial class MainForm : Form
	{
		private void populate__WordConcatenating(BabebiDataSet.WordConcatenatedComponentRow[] wordConcatenatedComponents)
		{
			if (wordConcatenatedComponents.Length != 0)
			{
				this.guiTable__WordConcatenating.Populate();
			}
			else
			{
				this.guiTable__WordConcatenating.Clear();
			}

		}


		private void button__WordConcatenating__Focus_Click(object sender, EventArgs e)
		{
			if (this.Current__WordConcatenating == null)
			{
				return;
			}

			this.Current__Word			= this.Current__WordConcatenating.WordConcatenatedRow.WordRowParent;
			this.Current__Word_Language = (BabebiDataSet.Word_LanguageRow)(this.DataRow__Language(this.Current__Word));

			this.populate__Word();

		}
	}
}